---
search:
  tags:
    - Media
    - GET
seo:
  description: >-
    Retrieves a media item (image,… Reference for the GET
    /api/v1/{app_id}/folders/{folder_id}/media/{media_id} endpoint in the
    Digital Assets Management API.
sidebar:
  label: Get Media Item by ID
  badge: GET
title: Get Media Item by ID
type: openapi-operation
---
Retrieves a media item (image, video, or file) by its ID

`GET /api/v1/{app_id}/folders/{folder_id}/media/{media_id}`

**Responses**

- `200` — Media item retrieved successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `403` — Forbidden: Folder is not public
- `404` — Media item not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "alt_text": "string",
    "attributes": [
      {
        "description": "string",
        "id": "string",
        "key": "string",
        "name": "string",
        "values": {
          "property1": [
            {
              "type": "string",
              "value": "string"
            }
          ],
          "property2": [
            {
              "type": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "blurhash": "string",
    "copyright": "string",
    "created_at": "string",
    "custom": [
      0
    ],
    "description": "string",
    "file_type": "string",
    "folder": {
      "id": "string",
      "name": "string",
      "public": true,
      "slug": "string"
    },
    "id": "string",
    "status": "string",
    "title": "string",
    "translations": {
      "alt": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "type": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "type": "string",
    "updated_at": "string",
    "url": "string",
    "variants": [
      {
        "created_at": "string",
        "format": "string",
        "height": 0,
        "id": "string",
        "updated_at": "string",
        "url": "string",
        "width": 0
      }
    ]
  },
  "success": true
}
```
